path: /build/build/gitea-www-apps-1.23.5+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - anise repo update && anise upgrade -y && anise cleanup
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="filecaps" emerge www-apps/gitea -pv -t && \
    USE="filecaps" emerge -j ${JOBS} --nodeps www-apps/gitea
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gitea && luet-portage --dir /pkgdir/gitea
    www-apps/gitea && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  - setcap cap_net_bind_service+ep /pkgdir/gitea/usr/bin/gitea
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:04ece4afc0011e607c8d00bee9d6ed49e7a18e836ad522b4d14a63c3ad4d71ad
  package:
    name: gitea
    version: 1.23.5+1
    category: www-apps
    use_flags:
    - filecaps
    requires:
    - name: macaroni-funtoo-race10
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A painless self-hosted Git service
    uri:
    - https://gitea.com https://github.com/go-gitea/gitea
    license: Apache-2.0 BSD BSD-2 CC0-1.0 ISC MIT MPL-2.0
    buildtimestamp: 2025-04-02 09:54:09.433028412 +0000 UTC m=+3758.957117301
    labels:
      BDEPEND: '>=dev-lang/go-1.21:= >=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig'
      DEPEND: sys-libs/pam filecaps? ( sys-libs/libcap ) sys-apps/shadow
      IUSE: systemd +filecaps
      RDEPEND: sys-libs/pam dev-vcs/git virtual/tmpfiles
      emerge.packages: www-apps/gitea
      kit: net-kit
      original.package.name: www-apps/gitea
      original.package.slot: "0"
      original.package.version: 1.23.5
    treedir: /build/packages
  package_dir: /pkgdir/gitea
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 33b2dd0a4ff54deb16c56267f301171ff5bc73160ccdec7da7126a8518587554
compressiontype: zstd
files:
- etc/conf.d/gitea
- etc/gitea/app.ini
- etc/init.d/gitea
- usr/bin/gitea
- usr/lib/tmpfiles.d/gitea.conf
- usr/share/doc/gitea-1.23.5/CHANGELOG.md.bz2
- usr/share/doc/gitea-1.23.5/CONTRIBUTING.md.bz2
- usr/share/doc/gitea-1.23.5/README.md.bz2
- usr/share/doc/gitea-1.23.5/app.example.ini.bz2
- var/db/pkg/www-apps/gitea-1.23.5/BDEPEND
- var/db/pkg/www-apps/gitea-1.23.5/BUILD_TIME
- var/db/pkg/www-apps/gitea-1.23.5/CATEGORY
- var/db/pkg/www-apps/gitea-1.23.5/CBUILD
- var/db/pkg/www-apps/gitea-1.23.5/CFLAGS
- var/db/pkg/www-apps/gitea-1.23.5/CHOST
- var/db/pkg/www-apps/gitea-1.23.5/CONTENTS
- var/db/pkg/www-apps/gitea-1.23.5/COUNTER
- var/db/pkg/www-apps/gitea-1.23.5/CTARGET
- var/db/pkg/www-apps/gitea-1.23.5/CXX
- var/db/pkg/www-apps/gitea-1.23.5/CXXFLAGS
- var/db/pkg/www-apps/gitea-1.23.5/DEFINED_PHASES
- var/db/pkg/www-apps/gitea-1.23.5/DEPEND
- var/db/pkg/www-apps/gitea-1.23.5/DESCRIPTION
- var/db/pkg/www-apps/gitea-1.23.5/EAPI
- var/db/pkg/www-apps/gitea-1.23.5/FEATURES
- var/db/pkg/www-apps/gitea-1.23.5/HOMEPAGE
- var/db/pkg/www-apps/gitea-1.23.5/INHERITED
- var/db/pkg/www-apps/gitea-1.23.5/IUSE
- var/db/pkg/www-apps/gitea-1.23.5/IUSE_EFFECTIVE
- var/db/pkg/www-apps/gitea-1.23.5/KEYWORDS
- var/db/pkg/www-apps/gitea-1.23.5/LDFLAGS
- var/db/pkg/www-apps/gitea-1.23.5/LICENSE
- var/db/pkg/www-apps/gitea-1.23.5/NEEDED
- var/db/pkg/www-apps/gitea-1.23.5/NEEDED.ELF.2
- var/db/pkg/www-apps/gitea-1.23.5/PF
- var/db/pkg/www-apps/gitea-1.23.5/RDEPEND
- var/db/pkg/www-apps/gitea-1.23.5/REQUIRES
- var/db/pkg/www-apps/gitea-1.23.5/RESTRICT
- var/db/pkg/www-apps/gitea-1.23.5/SIZE
- var/db/pkg/www-apps/gitea-1.23.5/SLOT
- var/db/pkg/www-apps/gitea-1.23.5/USE
- var/db/pkg/www-apps/gitea-1.23.5/environment.bz2
- var/db/pkg/www-apps/gitea-1.23.5/gitea-1.23.5.ebuild
- var/db/pkg/www-apps/gitea-1.23.5/repository
- var/lib/gitea/.keep_www-apps_gitea-0
- var/lib/gitea/custom/.keep_www-apps_gitea-0
- var/lib/gitea/data/.keep_www-apps_gitea-0
- var/log/gitea/.keep_www-apps_gitea-0
package_cacheimage: ""
runtime:
  name: gitea
  version: 1.23.5+1
  category: www-apps
  use_flags:
  - filecaps
  requires:
  - name: git
    version: '>=0'
    category: dev-vcs
  - name: pam
    version: '>=0'
    category: sys-libs
  - name: tmpfiles
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A painless self-hosted Git service
  uri:
  - https://gitea.com https://github.com/go-gitea/gitea
  license: Apache-2.0 BSD BSD-2 CC0-1.0 ISC MIT MPL-2.0
  labels:
    BDEPEND: '>=dev-lang/go-1.21:= >=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig'
    DEPEND: sys-libs/pam filecaps? ( sys-libs/libcap ) sys-apps/shadow
    IUSE: systemd +filecaps
    RDEPEND: sys-libs/pam dev-vcs/git virtual/tmpfiles
    emerge.packages: www-apps/gitea
    kit: net-kit
    original.package.name: www-apps/gitea
    original.package.slot: "0"
    original.package.version: 1.23.5
